Package org.apache.catalina.tribes.transport

# Class AbstractRxTask

java.lang.Object
org.apache.catalina.tribes.transport.AbstractRxTask

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `BioReplicationTask`, `NioReplicationTask`

public abstract class AbstractRxTask extends Object implements Runnable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`OPTION_DIRECT_BUFFER`
`protected boolean`
`useBufferPool`

## Constructor Summary

Constructors
Constructor
Description
`AbstractRxTask(ListenCallback callback)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ListenCallback`
`getCallback()`
`int`
`getOptions()`
`RxTaskPool`
`getTaskPool()`
`boolean`
`getUseBufferPool()`
`boolean`
`isDoRun()`
`void`
`setCallback(ListenCallback callback)`
`void`
`setDoRun(boolean doRun)`
`void`
`setOptions(int options)`
`void`
`setTaskPool(RxTaskPool pool)`
`void`
`setUseBufferPool(boolean usebufpool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

## Field Details

### OPTION_DIRECT_BUFFER

public static final int OPTION_DIRECT_BUFFER

See Also:
  - Constant Field Values

### useBufferPool

protected boolean useBufferPool

## Constructor Details

### AbstractRxTask

public AbstractRxTask(ListenCallback callback)

## Method Details

### setTaskPool

public void setTaskPool(RxTaskPool pool)

### setOptions

public void setOptions(int options)

### setCallback

public void setCallback(ListenCallback callback)

### setDoRun

public void setDoRun(boolean doRun)

### getTaskPool

public RxTaskPool getTaskPool()

### getOptions

public int getOptions()

### getCallback

public ListenCallback getCallback()

### isDoRun

public boolean isDoRun()

### close

public void close()

### setUseBufferPool

public void setUseBufferPool(boolean usebufpool)

### getUseBufferPool

public boolean getUseBufferPool()